<section>
	<div>
		<div class="total">{{ boggle.points }} pts</div>
		<span class="test" id="save" (click)="saveHighscore()" >Click to save Highscore!</span>
	</div>
	
	<div class="errors">{{ boggle.errors }}</div>
	<ul class="board" id="board">
		<li 
			*ngFor="let letter of letters"
			id="{{ letter.order }}"
			[ngClass]="{'disabled' : letter.disabled, 'selected' : letter.selected } "
			(click)="onSelectLetter(letter)"
		>
			<span> {{ letter.value }} </span>
		</li>
	</ul>
	
	<input id="entered" [(ngModel)]="boggle.entered" placeholder="">
	<span class="test" id="test" (click)="testWord()" >Click! <s>(or press Enter)</s></span>
</section>